<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Documentation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/js/all.min.js" integrity="sha256-0vuk8LXoyrmCjp1f0O300qo1M75ZQyhH9X3J6d+scmk=" crossorigin="anonymous"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">Documentation</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
    
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                                <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/rw.html"><abbr title="\RW">RW</abbr></a></h4>
                <ul class="phpdocumentor-list">
                                            <li><a href="namespaces/rw-wiwinkapi.html"><abbr title="\RW\WiWinkApi">WiWinkApi</abbr></a></li>
                                    </ul>
                        </section>

        <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                    <h3 class="phpdocumentor-sidebar__root-package"><a href="packages/Default.html"><abbr title="\Default">Default</abbr></a></h3>
                                <h3 class="phpdocumentor-sidebar__root-package"><a href="packages/RW.html"><abbr title="\RW">RW</abbr></a></h3>
                        <ul class="phpdocumentor-list">
                                    <li><a href="packages/RW-WiWinkApi.html"><abbr title="\RW\WiWinkApi">WiWinkApi</abbr></a></li>
                            </ul>
                        </section>
    
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/rw.html">RW</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/rw-wiwinkapi.html">WiWinkApi</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    Response

    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/RW.html">RW</a></li>
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/RW-WiWinkApi.html">WiWinkApi</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">22</span>
</aside>

            <p class="phpdocumentor-summary">Class for WiWink responses.</p>

    <section class="phpdocumentor-description"></section>


    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">author</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                                
                                                 <section class="phpdocumentor-description"><p>Josep Salvà <a href="mailto:jsalva@refineriaweb.com">jsalva@refineriaweb.com</a></p>
</section>

                                    </dd>
                        </dl>






<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                <dt class="phpdocumentor-table-of-contents__entry -property -protected">
    <a href="classes/RW-WiWinkApi-Response.html#property_body">$body</a>
    <span>
                &nbsp;: object            </span>
</dt>
<dd>The body of the response.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -protected">
    <a href="classes/RW-WiWinkApi-Response.html#property_exception">$exception</a>
    <span>
                &nbsp;: <a href="classes/RW-WiWinkApi-Exceptions-ResponseException.html"><abbr title="\RW\WiWinkApi\Exceptions\ResponseException">ResponseException</abbr></a>            </span>
</dt>
<dd>The exception of the response (if any).</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -protected">
    <a href="classes/RW-WiWinkApi-Response.html#property_request">$request</a>
    <span>
                &nbsp;: <a href="classes/RW-WiWinkApi-Request.html"><abbr title="\RW\WiWinkApi\Request">Request</abbr></a>            </span>
</dt>
<dd>The request that produces a response.</dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method___construct">__construct()</a>
    <span>
                        &nbsp;: void    </span>
</dt>
<dd>Create a new WiWink response instance.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_getBody">getBody()</a>
    <span>
                        &nbsp;: object    </span>
</dt>
<dd>Gets response&#039;s body.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_getCallCount">getCallCount()</a>
    <span>
                        &nbsp;: int    </span>
</dt>
<dd>Get response&#039;s body call count.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_getEndpoint">getEndpoint()</a>
    <span>
                        &nbsp;: string    </span>
</dt>
<dd>Gets response&#039;s request endpoint.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_getError">getError()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Get response&#039;s body error (if any).</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_getException">getException()</a>
    <span>
                        &nbsp;: <a href="classes/RW-WiWinkApi-Exceptions-ResponseException.html"><abbr title="\RW\WiWinkApi\Exceptions\ResponseException">ResponseException</abbr></a>    </span>
</dt>
<dd>Get response&#039;s exception.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_getId">getId()</a>
    <span>
                        &nbsp;: string    </span>
</dt>
<dd>Get response&#039;s body id.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_getQueryLimit">getQueryLimit()</a>
    <span>
                        &nbsp;: int    </span>
</dt>
<dd>Get response&#039;s body query limit.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_getRequest">getRequest()</a>
    <span>
                        &nbsp;: <a href="classes/RW-WiWinkApi-Request.html"><abbr title="\RW\WiWinkApi\Request">Request</abbr></a>    </span>
</dt>
<dd>Gets response&#039;s request.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_getResult">getResult()</a>
    <span>
                        &nbsp;: object    </span>
</dt>
<dd>Gets response&#039;s body result.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_isError">isError()</a>
    <span>
                        &nbsp;: bool    </span>
</dt>
<dd>Determines if the response is an error.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/RW-WiWinkApi-Response.html#method_makeException">makeException()</a>
    <span>
                        &nbsp;: <a href="classes/RW-WiWinkApi-Exceptions-ResponseException.html"><abbr title="\RW\WiWinkApi\Exceptions\ResponseException">ResponseException</abbr></a>    </span>
</dt>
<dd>Makes response&#039;s exception.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -protected">
    <a href="classes/RW-WiWinkApi-Response.html#method_decodeResponse">decodeResponse()</a>
    <span>
                        &nbsp;: void    </span>
</dt>
<dd>Decodes the entire raw resoponse response and attachs it as body.</dd>

        </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/RW-WiWinkApi-Response.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_body">
        $body
        <a href="classes/RW-WiWinkApi-Response.html#property_body" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">36</span>
</aside>

        <p class="phpdocumentor-summary">The body of the response.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
        <span class="phpdocumentor-signature__type">object</span>
    <span class="phpdocumentor-signature__name">$body</span>
    </code>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_exception">
        $exception
        <a href="classes/RW-WiWinkApi-Response.html#property_exception" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">43</span>
</aside>

        <p class="phpdocumentor-summary">The exception of the response (if any).</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
        <span class="phpdocumentor-signature__type"><a href="classes/RW-WiWinkApi-Exceptions-ResponseException.html"><abbr title="\RW\WiWinkApi\Exceptions\ResponseException">ResponseException</abbr></a></span>
    <span class="phpdocumentor-signature__name">$exception</span>
    </code>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_request">
        $request
        <a href="classes/RW-WiWinkApi-Response.html#property_request" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">29</span>
</aside>

        <p class="phpdocumentor-summary">The request that produces a response.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
        <span class="phpdocumentor-signature__type"><a href="classes/RW-WiWinkApi-Request.html"><abbr title="\RW\WiWinkApi\Request">Request</abbr></a></span>
    <span class="phpdocumentor-signature__name">$request</span>
    </code>

        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/RW-WiWinkApi-Response.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method___construct">
        __construct()
        <a href="classes/RW-WiWinkApi-Response.html#method___construct" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">50</span>
</aside>

        <p class="phpdocumentor-summary">Create a new WiWink response instance.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">__construct</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/RW-WiWinkApi-Request.html"><abbr title="\RW\WiWinkApi\Request">Request</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$request</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rawResponse</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$request</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/RW-WiWinkApi-Request.html"><abbr title="\RW\WiWinkApi\Request">Request</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rawResponse</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getBody">
        getBody()
        <a href="classes/RW-WiWinkApi-Response.html#method_getBody" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">82</span>
</aside>

        <p class="phpdocumentor-summary">Gets response&#039;s body.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getBody</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">object</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">object</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getCallCount">
        getCallCount()
        <a href="classes/RW-WiWinkApi-Response.html#method_getCallCount" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">122</span>
</aside>

        <p class="phpdocumentor-summary">Get response&#039;s body call count.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getCallCount</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">int</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">int</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getEndpoint">
        getEndpoint()
        <a href="classes/RW-WiWinkApi-Response.html#method_getEndpoint" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">72</span>
</aside>

        <p class="phpdocumentor-summary">Gets response&#039;s request endpoint.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getEndpoint</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getError">
        getError()
        <a href="classes/RW-WiWinkApi-Response.html#method_getError" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">102</span>
</aside>

        <p class="phpdocumentor-summary">Get response&#039;s body error (if any).</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getError</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getException">
        getException()
        <a href="classes/RW-WiWinkApi-Response.html#method_getException" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">142</span>
</aside>

        <p class="phpdocumentor-summary">Get response&#039;s exception.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getException</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><a href="classes/RW-WiWinkApi-Exceptions-ResponseException.html"><abbr title="\RW\WiWinkApi\Exceptions\ResponseException">ResponseException</abbr></a></span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type"><a href="classes/RW-WiWinkApi-Exceptions-ResponseException.html"><abbr title="\RW\WiWinkApi\Exceptions\ResponseException">ResponseException</abbr></a></span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getId">
        getId()
        <a href="classes/RW-WiWinkApi-Response.html#method_getId" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">112</span>
</aside>

        <p class="phpdocumentor-summary">Get response&#039;s body id.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getId</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">string</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getQueryLimit">
        getQueryLimit()
        <a href="classes/RW-WiWinkApi-Response.html#method_getQueryLimit" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">132</span>
</aside>

        <p class="phpdocumentor-summary">Get response&#039;s body query limit.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getQueryLimit</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">int</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">int</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getRequest">
        getRequest()
        <a href="classes/RW-WiWinkApi-Response.html#method_getRequest" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">62</span>
</aside>

        <p class="phpdocumentor-summary">Gets response&#039;s request.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getRequest</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><a href="classes/RW-WiWinkApi-Request.html"><abbr title="\RW\WiWinkApi\Request">Request</abbr></a></span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type"><a href="classes/RW-WiWinkApi-Request.html"><abbr title="\RW\WiWinkApi\Request">Request</abbr></a></span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getResult">
        getResult()
        <a href="classes/RW-WiWinkApi-Response.html#method_getResult" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">92</span>
</aside>

        <p class="phpdocumentor-summary">Gets response&#039;s body result.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getResult</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">object</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">object</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_isError">
        isError()
        <a href="classes/RW-WiWinkApi-Response.html#method_isError" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">152</span>
</aside>

        <p class="phpdocumentor-summary">Determines if the response is an error.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">isError</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">bool</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">bool</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_makeException">
        makeException()
        <a href="classes/RW-WiWinkApi-Response.html#method_makeException" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">162</span>
</aside>

        <p class="phpdocumentor-summary">Makes response&#039;s exception.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">makeException</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><a href="classes/RW-WiWinkApi-Exceptions-ResponseException.html"><abbr title="\RW\WiWinkApi\Exceptions\ResponseException">ResponseException</abbr></a></span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type"><a href="classes/RW-WiWinkApi-Exceptions-ResponseException.html"><abbr title="\RW\WiWinkApi\Exceptions\ResponseException">ResponseException</abbr></a></span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_decodeResponse">
        decodeResponse()
        <a href="classes/RW-WiWinkApi-Response.html#method_decodeResponse" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Response.php"><a href="files/src-response.html"><abbr title="src/Response.php">Response.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">176</span>
</aside>

        <p class="phpdocumentor-summary">Decodes the entire raw resoponse response and attachs it as body.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
                <span class="phpdocumentor-signature__name">decodeResponse</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$rawResponse</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$rawResponse</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>raw response to decode.</p>
</section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
            <section class="phpdocumentor-description"></section>

    
</article>
            </section>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/RW-WiWinkApi-Response.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
</body>
</html>
